# - Config file for the DoQuBook package
# It defines the following variables
#  DoQuBook_INCLUDE_DIRS - include directories for DoQuBook
#  DoQuBook_LIBRARIES    - libraries to link against
#  DoQuBook_FOUND



# Our library dependencies (contains definitions for IMPORTED targets)
include("${DoQuBook_CMAKE_DIR}/DoQuBookLibraryDepends.cmake")

# These are IMPORTED targets created by DoQuBookLibraryDepends.cmake
set(DoQuBook_LIBRARY )
set(DoQuBook_LIBRARIES debug;C:/Program Files/OpenCV/lib/libopencv_calib3d240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_contrib240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_core240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_features2d240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_flann240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_gpu240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_highgui240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_imgproc240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_legacy240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_ml240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_nonfree240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_objdetect240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_photo240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_stitching240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_ts240d.a;debug;C:/Program Files/OpenCV/lib/libopencv_video240d.dll.a;debug;C:/Program Files/OpenCV/lib/libopencv_videostab240d.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_calib3d240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_contrib240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_core240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_features2d240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_flann240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_gpu240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_highgui240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_imgproc240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_legacy240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_ml240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_nonfree240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_objdetect240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_photo240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_stitching240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_ts240.a;optimized;C:/Program Files/OpenCV/lib/libopencv_video240.dll.a;optimized;C:/Program Files/OpenCV/lib/libopencv_videostab240.dll.a;Qt5::Core;Qt5::Widgets;Qt5::Network;qjson;C:/Program Files/zlib/lib/zlibd.lib)






SET(DoQuBook_LIBRARIES "/." CACHE FILEPATH "Libraries for DoQuBook")	
SET(DoQuBook_INCLUDE_DIR "" CACHE PATH "Include path for DoQuBook")	
SET(DoQuBook_FOUND "TRUE")

message(STATUS "Found DoQuBook")
if(APPLE)
	message("      Using framework : . from ")
endif(APPLE)
if(NOT APPLE)
	message(STATUS "  libraries : . from ")
	message(STATUS "  includes  : ${DoQuBook_INCLUDE_DIR}")
endif(NOT APPLE)
