#ifndef DBWEBANNOTATIONSERVICE_HPP
#define DBWEBANNOTATIONSERVICE_HPP

#include <DoQuBook/DoQuBook_global.hpp>

#include <DoQuBook/AnnotationService.hpp>
#include <DoQuBook/RESTObjectManager.hpp>
#include <DoQuBook/DBWebCRUDService.hpp>


namespace DoQuBook
{

    class DoQuBookSHARED_EXPORT DBWebAnnotationService : public AnnotationService,  public DBWebCRUDServiceIntId<Annotation>
    {
        public:
            DBWebAnnotationService (const QString & serverAdress);

            virtual AnnotationLocalPtr getAnnotationLocal (const int & id);
            virtual AnnotationGlobalPtr getAnnotationGlobal (const int & id);

            virtual void preAdd (AnnotationPtr & ann);
    };

}
#endif // DBWEBANNOTATIONSERVICE_HPP
