#ifndef DBWEBPREDICTIONMODELRESULTSERVICE_HPP
#define DBWEBPREDICTIONMODELRESULTSERVICE_HPP

#include <DoQuBook/PredictionModelResultService.hpp>
#include <DoQuBook/RESTObjectManager.hpp>

namespace DoQuBook
{

    class DoQuBookSHARED_EXPORT DBWebPredictionModelResultService : public PredictionModelResultService
    {
        public:
            DBWebPredictionModelResultService (const QString & serverAdress);
            virtual ~DBWebPredictionModelResultService();

            virtual void create (QString name, QString description);
            virtual void addPredictionModelMetric (QString modelName, QString metricName, double value);
            virtual void addPagePredictionError (QString modelName, int pageId, double value);

        private :
            QString resourceBaseURl;
    };

}
#endif // DBWEBPREDICTIONMODELRESULTSERVICE_HPP
