#ifndef DOQUBOOKOPENCVCONVERTER_HPP
#define DOQUBOOKOPENCVCONVERTER_HPP


#include <DoQuBook/DoQuBook_global.hpp>

#include <QImage>

#include <DoQuBook/Config.hpp>
#ifdef OPENCV
#include <cv.h>
#include <highgui.h>
#endif

namespace DoQuBook
{
    class DoQuBookSHARED_EXPORT DoQuBookOpenCVConverter
    {
        public:
            DoQuBookOpenCVConverter();
            virtual ~DoQuBookOpenCVConverter();
            virtual cv::Mat getCvMat (const QImage & image);
            virtual QImage getQImage (const cv::Mat & mat);
    };
}

#endif // DOQUBOOKOPENCVCONVERTER_HPP
