#ifndef INTLIST_HPP
#define INTLIST_HPP

#include <DoQuBook/SimpleMarshallable.hpp>
#include <DoQuBook/DoQuBook_global.hpp>

#include <QSharedPointer>

namespace DoQuBook
{

    class Intlist;
    typedef QSharedPointer<Intlist> IntlistPtr;

    class DoQuBookSHARED_EXPORT Intlist : public SimpleMarshallable
    {
            Q_OBJECT
            Q_PROPERTY (QList<int> ids READ getIds WRITE setIds)

        public :

            MARSHALLABLE_CREATE_FONCTIONS (Intlist)

            MARSHALLABLE_QTLIST (QList, int, ids)
            MARSHALLABLE_ACTIV_1LIST (ids, _ids)

            Intlist();
            QList<int>  getIds();
            void  setIds (QList<int> pBooks);

        private :
            QList<int> _ids;

    };

}
#endif // INTLIST_HPP
