#ifndef LISTRESTFILEATTACHMENT_HPP
#define LISTRESTFILEATTACHMENT_HPP

#include <QObject>

#include <DoQuBook/SimpleMarshallable.hpp>
#include <DoQuBook/DoQuBook_global.hpp>

#include <QSharedPointer>

#include <DoQuBook/RestFileAttachment.hpp>


namespace DoQuBook
{

    class ListRestFileAttachment;
    typedef QSharedPointer<ListRestFileAttachment> ListRestFileAttachmentPtr;

    class DoQuBookSHARED_EXPORT ListRestFileAttachment : public SimpleMarshallable
    {
            Q_OBJECT
            Q_PROPERTY (QList<RestFileAttachmentPtr> elements READ getAttachments WRITE setAttachments)
        public:
            MARSHALLABLE_CREATE_FONCTIONS (ListRestFileAttachment)

            MARSHALLABLE_MLIST (QList, RestFileAttachment, elements)
            MARSHALLABLE_ACTIV_1LIST (elements, _elements)

            QList<RestFileAttachmentPtr>  getAttachments ();
            void  setAttachments (const QList<RestFileAttachmentPtr> &pattachments);

        private :
            QList<RestFileAttachmentPtr> _elements;

        signals:

        public slots:

    };

}
#endif // LISTRESTFILEATTACHMENT_HPP
