#ifndef RECTOVERSOREGISTRATION_HPP
#define RECTOVERSOREGISTRATION_HPP

#include <QTransform>
#include <DoQuBook/Book.hpp>
#include <DoQuBook/Page.hpp>
#include <DoQuBook/DoQuBook_global.hpp>

class DoQuBookSHARED_EXPORT RectoVersoRegistration
{
    public:
        RectoVersoRegistration();
        virtual ~RectoVersoRegistration();

        virtual QTransform compute (const QList<QImage> &images) = 0;
};

typedef QSharedPointer<RectoVersoRegistration> RectoVersoRegistrationPtr;

Q_DECLARE_INTERFACE (RectoVersoRegistration, "doqubook.rectoversoregistration")

#endif // RECTOVERSOREGISTRATION_HPP
