#ifndef DBWEBTASKIMAGESERVICE_HPP
#define DBWEBTASKIMAGESERVICE_HPP

#include <DoQuBook/TaskImageService.hpp>
#include <DoQuBook/RESTImageManager.hpp>

namespace DoQuBook
{

    class DBWebTaskImageService : public TaskImageService
    {
        public:
            DBWebTaskImageService (const QString & serverAdress);

            virtual QImage get (TaskPtr task, QString uuid);
            virtual QUrl add (const QImage & image, TaskPtr task);

        private :
            QString m_serverAdress;
            RESTImageManager m_imageManager;
            QString m_restServicesUrl;
    };

}

#endif // DBWEBTASKIMAGESERVICE_HPP
