#ifndef TASKIMAGESERVICE_HPP
#define TASKIMAGESERVICE_HPP

#include <QSharedPointer>
#include <DoQuBook/Task.hpp>
#include <QImage>

namespace DoQuBook
{

    class TaskImageService;
    typedef QSharedPointer<TaskImageService> TaskImageServicePtr;

    class TaskImageService
    {
        public:
            TaskImageService();
            virtual ~TaskImageService() {}

            virtual QImage get (TaskPtr task, QString uuid) = 0;
            virtual QUrl add (const QImage & image, TaskPtr task) = 0;
    };

}
#endif // TASKIMAGESERVICE_HPP
